# This file created by conda-build 3.21.4
# ------------------------------------------------

package:
  name: gcc_linux-64
  version: 9.4.0
source:
  path: /home/conda/recipe_root
build:
  noarch: false
  noarch_python: false
  number: '0'
  run_exports:
    strong:
      - libgcc-ng >=9.4.0
  script: install-gcc.sh
  string: h391b98a_0
requirements:
  build: []
  run:
    - binutils_linux-64 2.36 hf3e587d_0
    - gcc_impl_linux-64 9.4.0.*
    - sysroot_linux-64
test:
  commands:
    - echo linux_64
    - echo x86_64
    - ${CC} ${CFLAGS} -Wall tests/aligned_alloc.c -c -o c_aligned.o -v
    - ${CC} ${LDFLAGS} c_aligned.o -o c_aligned
    - ./c_aligned
    - test -z "${CONDA_BUILD_SYSROOT+x}" && echo "CONDA_BUILD_SYSROOT is not set"
      && exit 1
    - test -d ${CONDA_BUILD_SYSROOT} || exit 1
  files:
    - tests
  requires:
    - sysroot_linux-64 2.12.*
about:
  home: https://github.com/conda-forge/ctng-compiler-activation-feedstock
  license: BSD-3-Clause
  license_file: LICENSE
  summary: GNU C Compiler (activation scripts)
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - beckermr
    - isuruf
